{% extends 'projects/base.html'%}


{%block content%}


<main>
    <div>
        <h1>My Projects</h1>
        <p><td><a href = "{%url 'create_project'%}">Create a new project</a></td></p>
        {% if list_object|length < 1%}
            <p>You are not assigned to any projects.</p>
        {%else%}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of tasks</th>
            </thead>
            <tbody>
                {%for item in list_object%}
                <tr>
                    <td><a href = "{%url 'show_project' item.id%}">{{item.name}}</a></td>
                    <td>{{item.tasks.all|length}}</td>
                </tr>
                {%endfor%}

            </tbody>

        </table>
        {%endif%}









{%endblock content%}
